/*
 * source/Other/Debug.c
 * SpacePigs VectorMania
 * 
 * Debug support routines
 */
#include <stdio.h>
#include <stdlib.h>
#include <dos.h>

#include "debug.h"

void saydebug(char *message, int code)
{
#if ! NODEBUG
    printf(message, code);
#endif
}

void ERROR(char *message, int retcode)
{
    printf(message);
    exit(retcode);
}

void EXIT(int code)
{
    exit(code);
}

void waitline(void)
{
#if ! NODEBUG
    char dummy[80];
    gets(dummy);
#endif
}

void checkbreak(void)
{
    chkabort();
}
